Package: groovy.org.codenarc.util

## [Groovy] Class ConsecutiveUtils

- groovy.org.codenarc.util.ConsecutiveUtils

- Utility class for Consecutive* rules.

  Authors:
    Hamlet D'Arcy

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `areJoinableConstants(org.codehaus.groovy.ast.expr.Expression left, org.codehaus.groovy.ast.expr.Expression right)`
    `` | `static boolean` | `isJoinableType(org.codehaus.groovy.ast.expr.Expression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static boolean areJoinableConstants(org.codehaus.groovy.ast.expr.Expression left, org.codehaus.groovy.ast.expr.Expression right)

    - #### static boolean isJoinableType(org.codehaus.groovy.ast.expr.Expression expression)